Skip to main content
POST
Mark Invoice Uncollectible

Authorizations

Authorization
string
header
required

An Account API key, an App API key, an account access token, an account-scoped user token, or a user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************. See Auth & API keys for how to get each one.

Headers

Idempotency-Key
string

A unique key that makes this request safe to retry. See Idempotent requests.

Maximum string length: 255
Example:

"d9105228-4a08-46b1-8b91-42fed586d383"

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-10-24"

Path Parameters

id
string
required

The invoice's pay_ ID.

Response

invoice updated

account_id
string
required
Example:

"biz_xxxxxxxxxxxxxx"

amount_due
object
required
billing_address
object | null
required
buyer_fee_amount
object
required
buyer_fee_percentage
number
required
Example:

0

created_at
string
required
Example:

"2026-01-01T12:00:00.000Z"

customer_name
string | null
required
Example:

"Dana"

due_at
string | null
required
Example:

null

email_address
string | null
required
Example:

"marcus@shinetime.example"

id
string
required
Example:

"pay_xxxxxxxxxxxxxx"

invoice_prefix
string | null
required
Example:

null

line_items
object[]
required
mailing_address_id
string | null
required
Example:

null

member_id
string | null
required
Example:

"mber_xxxxxxxxxxxxxx"

metadata
object
required
Example:
number
string
required
Example:

"#xxxxxxxx"

object
enum<string>
required
Available options:
invoice
Example:

"invoice"

overdue
boolean
required
Example:

false

paid_at
string | null
required
Example:

null

payment_method_id
string | null
required
Example:

null

recipient_emails
string[]
required

Invoice email recipients, independent of the billed customer.

status
enum<string>
required
Available options:
draft,
open,
authorized,
paid,
pending,
uncollectible,
unresolved,
void
Example:

"open"

subtotal
object
required
tax_amount
object | null
required
total
object
required
totals_status
enum<string>
required
Available options:
estimated,
final
Example:

"final"

updated_at
string
required
Example:

"2026-01-01T12:00:00.000Z"